CreateVmInstanceFromVolume
CreateVmInstanceFromVolume
/zstack/v1/vm-instances/from/volumeOperation ID
CreateVmInstanceFromVolumeSince
3.10.0Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonBody Fields
paramsObjectRequiredRequest body parameter object.
nameStringRequiredThe resource name.
descriptionStringOptional. The detailed description of the resource.
instanceOfferingUuidStringOptional. The instance offering UUID. Note: This parameter is optional if you choose the CPU number and memory size.
cpuNumIntegerOptional. The CPU number or memory size. Note: This parameter is optional if you choose instanceOfferingUuid.
memorySizeLongOptional. The CPU number or memory size. This parameter is optional if you choose instanceOfferingUuid.
l3NetworkUuidsListRequiredThe L3 network UUID. Specifies one or more L3 networks. The VM instance will create one NIC on each L3 network.
typeStringOptional. The VM type. The reserved field, which is no need to specify.
volumeUuidStringRequiredThe volume UUID.
platformStringOptional. The volume system platform.
zoneUuidStringOptional. The zone UUID. If specified, the VM instance will will be created in the specified zone.
clusterUuidStringOptional. The cluster UUID. If specified, the VM instance will be created in the specified cluster. The resource priority of this parameter is higher than zoneUuid.
hostUuidStringOptional. The host UUID. If specified, the VM instance will be created in the specified host. The resource priority of this parameter is higher than zoneUuid and clusterUuid.
primaryStorageUuidStringOptional. The primary storage UUID. If specified, the root volume of the VM instance will be created in the specified primary storage.
defaultL3NetworkUuidStringOptional. The default L3 network UUID. When l3NetworkUuids specifies multiple L3 networks, this parameter specifies to provide the default L3 network. If not specified, the first network of l3NetworkUuids will be selected as the default network.
strategyStringOptional. The VM creation strategy. After the VM instance is created, the VM instance is started immediately. After the VM instance is created, the VM instance will not be started.
resourceUuidStringOptional. The resource UUID. If specified, the VM instance will use this field as UUID.
tagUuidsListOptional. The tag UUID list.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
